<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <template id="reservation_page_template_inherit_theme" inherit_id="dine360_reservation.reservation_page_template" name="Table Reservation Theme Override">
        <xpath expr="//t[@t-set='head']" position="inside">
            <t t-if="website.is_reservation_theme_active">
                <style>
                    :root {
                        --res-primary-color: <t t-esc="website.reservation_primary_color or '#fecd4f'"/> !important;
                        --res-secondary-color: <t t-esc="website.reservation_secondary_color or '#171422'"/> !important;
                    }
                </style>
            </t>
        </xpath>
    </template>

    <template id="reservation_success_template_inherit_theme" inherit_id="dine360_reservation.reservation_success_template" name="Reservation Success Theme Override">
        <xpath expr="//t[@t-set='head']" position="inside">
            <t t-if="website.is_reservation_theme_active">
                <style>
                    :root {
                        --res-primary-color: <t t-esc="website.reservation_primary_color or '#fecd4f'"/> !important;
                        --res-secondary-color: <t t-esc="website.reservation_secondary_color or '#171422'"/> !important;
                    }
                </style>
            </t>
        </xpath>
    </template>
</odoo>
